<?php
if(!function_Exists("error_y_salir")) {
	function error_y_salir($m) {
		die("$m");
	}
}

function database($key) {
	//##2026-03-25: esta función es temporal para extraer un archivo específico en html, pero 
	//la idea es que luego sea mucho más sofisticada, diferenciando los rótulos fijos de los rótulos dinámicos
	//Desde el cargado de la página, se deben cargar todos los rótulos fijos, para no tener que estar repitiendo 
	//esta consulta; incluso en un futuro se podría quizá optimizar aún más el cargado de los rótulos fijos, 
	//no sé si guardarlos en variables de sesión del servidor o en variables de almacenamiento local del cliente, 
	//lo malo en este último caso por supuesto sería la cache si hubiera cambios.
	$basename = "{$key}_{$GLOBALS["lang"]}.htm";
	$filepath = __DIR__ . "/../idiomas/html_fixed/$basename";
	if(!file_exists($filepath)) {
		error_y_salir("##Error20260325141204-2053dav: No existe el archivo $filepath");
	}
	return file_get_contents($filepath);
} //Fin de database